curl --request PATCH \
--url https://ca-delogue-service-prod.bravepebble-62e34dbe.westeurope.azurecontainerapps.io/api/style-categories/{id} \
--header 'Content-Type: application/json-patch+json' \
--data '
[
{
"path": "<string>",
"value": "<unknown>"
}
]
'import requests
url = "https://ca-delogue-service-prod.bravepebble-62e34dbe.westeurope.azurecontainerapps.io/api/style-categories/{id}"
payload = [
{
"path": "<string>",
"value": "<unknown>"
}
]
headers = {"Content-Type": "application/json-patch+json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json-patch+json'},
body: JSON.stringify([{path: '<string>', value: '<unknown>'}])
};
fetch('https://ca-delogue-service-prod.bravepebble-62e34dbe.westeurope.azurecontainerapps.io/api/style-categories/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"code": "<string>",
"data": {
"id": 123,
"name": "<string>",
"state": "active",
"usedInStyles": 123,
"beginDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"userDefinedId": "<string>",
"properties": [
"<string>"
]
}
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}Partially updates a single style category by ID (RFC 6902 JSON Patch).
Applies a JSON Patch document (RFC 6902) to a style category owned by the current organization. PATCH is a partial update: a field an operation touches is written, an omitted field is preserved (preserve-on-omit). name cannot be cleared (replace to empty returns 400) and state cannot be set to deleted (use DELETE). state is required and cannot be cleared by any operation — remove, replace with null, or move/copy away from /state all return 400. A failed ‘test’ operation returns 409; any other operation that cannot be applied returns 422. Cross-organization access returns 403.
Headers
Path Parameters
Unique identifier of the style category to patch. The route id is authoritative.
Body
Response
OK
The coarse outcome of the request, indicating whether it succeeded or failed.
success, error The specific machine-readable outcome code, such as ok on success or the most specific error code on failure. Always lowercase on the wire.
The response payload, either a single object for a by-id read or an array for a bulk operation. Omitted from the body when there is no value.
Show child attributes
Show child attributes